Delete a requirement
Delete a requirement. Only requirements with status "pending" can be deleted.
Requires writeApplications permission.
Account-scoped: Requires X-Account-ID header
Path Parameters
- Type: stringapplication
Id requiredThe unique ID of the application
- Type: integerrequirement
Id requiredThe ID of the requirement
Headers
- Type: stringx
-account -id requiredAccount ID for the request
Responses
- application/json
- application/json
- 401
Unauthorized - User not authenticated
- 403
Forbidden - User does not have writeApplications permission
- 404
Requirement or application not found
- application/json
Request Example for delete/applications/{applicationId}/requirements/{requirementId}
curl 'https://api.pulsecrm.com/applications/{applicationId}/requirements/1' \
--request DELETE \
--header 'x-account-id: 2311' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"success": true,
"message": "Requirement deleted"
}